Subject: mrouted 3.8 and proxyARP

From: Ronan KERYELL <[email-masked]>
Date: Mon, 17 Feb 1997 14:33:17 +0100 (MET)

[I've already posted this message on mbone-eu list but I've received
no answer so I resend a new one. Sorry about the unicast bandwidth loss...]

I am in trouble with mrouted on our server machine that use proxyARP
to route our machines (we are short of IP adress to do
subnetting... :-().

chailly-keryell > mifconfig -a
le0: flags=863<UP,BROADCAST,NOTRAILERS,RUNNING,MULTICAST>
        inet 192.54.172.200 netmask ffffff00 broadcast 192.54.172.0
qe0: flags=863<UP,BROADCAST,NOTRAILERS,RUNNING,MULTICAST>
        inet 192.54.172.201 netmask ffffff00 broadcast 192.54.172.0
qe1: flags=863<UP,BROADCAST,NOTRAILERS,RUNNING,MULTICAST>
        inet 192.54.172.202 netmask ffffff00 broadcast 192.54.172.0
qe2: flags=863<UP,BROADCAST,NOTRAILERS,RUNNING,MULTICAST>
        inet 192.54.172.203 netmask ffffff00 broadcast 192.54.172.0
qe3: flags=862<BROADCAST,NOTRAILERS,RUNNING,MULTICAST>
        inet 192.54.172.204 netmask ffffff00 broadcast 192.54.172.0
lo0: flags=849<UP,LOOPBACK,RUNNING,MULTICAST>
        inet 127.0.0.1 netmask ff000000 
ppp0: flags=50<POINTOPOINT,RUNNING>

chailly-keryell > mrouted -d 3
debug level 3
11:23:47.702 mrouted version 3.8
11:23:47.737 Getting vifs from kernel interfaces
11:23:47.738 installing le0 (192.54.172.200 on subnet 192.54.172/24) as vif #0 - rate=0
11:23:47.738 warning - ignoring qe0, same subnet as le0
11:23:47.740 warning - ignoring qe1, same subnet as le0
11:23:47.741 warning - ignoring qe2, same subnet as le0
11:23:47.742 warning - ignoring qe3, same subnet as le0
11:23:47.743 Getting vifs from /etc/mrouted.conf
11:23:47.746 /etc/mrouted.conf: Invalid interface name qe0 near line 44

The warning is correct, but I'd like that the interfaces be not
ignored, like a warning... :-)

My /etc/mrouted.conf:
phyint  le0 altnet 192.54.148.0/24
# machines 192.54.172.196 and 192.54.172.226 are on qe0
phyint  qe0 altnet 192.54.172.196/32 altnet 192.54.172.226/32
#phyint qe1 no used yet
# machine 192.54.172.224 is on qe2
phyint  qe2 altnet 192.54.172.224/32
#phyint qe3  no used yet
tunnel  le0     alix.int-evry.fr        metric 1        threshold 32

By specifying as many altnet as machine routes, I think it should
work with routed using the more precise routes first...

Does it make sense ?
Has anybody else experienced a similar configuration ?

If nobody has a running answer, I think to implement it in the
following way :
1) adding a new syntax in the .cf file to say just to ignore the
primary address and netmask of a physical interface (suggestion for a
good name ?)
2) just adding all the proxyARP routes with as much "altnet
x.y.z.t/32" (or better if I can aggregate routes of course) as necessary.

Thank you,
-- 
    Ronan KERYELL
    Centre de Recherche en Informatique
    de l'École Nationale Supérieure des Mines de Paris (CRI-ENSMP)
    35, Rue Saint-Honoré
    77305 FONTAINEBLEAU CEDEX
    FRANCE                               Tel:    (+33|0) 1.64.69.48.44
                                         Fax:    (+33|0) 1.64.69.47.09
                                         E-mail: [email-masked]
                                         http://www.cri.ensmp.fr/~keryell